<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwConfigurationDB component</title>
<meta content="Piotr Golonka" name="author">
<style type="text/css">
table {width : 95%;}
tr {vertical-align:top;}
td.headLegend {
    background-color : #00cc00;
    vertical-align : top;
    width : 22%;
    font-weight:bold;
}
td.headComponentName {
    vertical-align:top;
    text-align:center;
    font-weight:bold;
}
td.headContent {width: 78%;}
td.tableHead {background-color : #00CC00;font-weight:bold;}
td.desc {width : 50%;}
td.link {width : 50%;}
    </style>
</head>
<body>
<table border="1"><tbody>
<tr>
<td class="headLegend">Component Name</td>
<td class="headComponentName">fwFSMConfDB</td>
</tr>
<tr>
<td class="headLegend">Description</td>
<td class="headContent">
<p>FSM -Configuration Database tool</p>
	<p> The LHC experiments will be operated as Finite State Machines (FSM). The FSM
	  transitions will require the re-configuration of parts of the Experiments
	  Control Systems. All configuration parameters of the devices integrating the
	  control systems are stored in an external database called Configuration
	  DB.
	  These data can be accessed using the Configuration Database Tool. <br>
  The main task of the FSM -Configuration DB Interface is to ensure the availability
  of the configuration data in PVSS, used during the FSM transitions, for a given
  type of run mode, e.g. PHYSICS, COSMICS, CALIBRATION, etc. This is achieved
  by synchronizing the contents of the Configuration DB and of the PVSS internal
  caches used by the FSM at the beginning of the run.</p>
	<p> A "getting-started" guide  is available in the fwFSMConfDB interface web page. <a href="http://jcop.web.cern.ch/jcop-framework-fsm-configuration-db-tool">see link</a></p></td>
</tr>
<tr>
<td class="headLegend">Dependencies</td>
<td class="headContent"><ul><li> fwCore </li>
  <li>fwConfigurationDB</li>
</ul></td>
</tr>
<tr>
<td class="headLegend">Additional software required</td>
<td class="headContent"><ul>
<li> Oracle client if you want to be connected to the ConfDB </li>
</ul></td>
</tr>
</tbody></table>
<br><br><table border="1"><tbody>
<tr><td class="tableHead" colspan="2">Panels</td></tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Manage configurators panel</td>
<td class="link"><a href="panels/fwFSMConfDB/fwFSMConfDB.htm ">fwFSMConfDB/fwFSMConfDB.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Add/Change configurator panel</td>
<td class="link"><a href="panels/fwFSMConfDB/fwFSMConfDB_addConfigurator.htm ">fwFSMConfDB/fwFSMConfDB_addConfigurator.pnl</a></td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td class="desc">Advanced  settings panel</td>
<td class="link"><a href="panels/fwFSMConfDB/fwFSMConfDB_advancedSettings.htm ">fwFSMConfDB/fwFSMConfDB_advancedSetup.pnl</a></td>
</tr>
</tbody></table>
<br><br>
<table border="1">
  <tbody>
    <tr>
      <td class="tableHead" colspan="2">Libraries</td>
    </tr>
    <tr>
      <td class="desc">Global help with all functions
        in the component library</td>
      <td class="link"><a href="scripts/libs/fwFsmConfDB_8ctl.html">All
          functions in fwFSMConfDB</a></td>
    </tr>
</table>
<br>
<hr>
<font size="-1">Prepared by Francisca Calheiros, May 2007</font>
</body>
</html>
